---
- name: Dependencies installed
  community.general.pkgng: name=syncthing state=latest

- name: Syncthing enabled
  shell: sysrc syncthing_enable="YES"

- name: Ensure syncthing is running
  service: name=syncthing state=started

- name: Syncthing enabled on all interfaces
  shell:
    cmd: "sed -i -e '/^        <address>127.0.0.1:8384/s/127.0.0.1/0.0.0.0/' /usr/local/etc/syncthing/config.xml"
    warn: false
  notify: Syncthing restarted

- name: Syncthing TLS enabled
  shell:
    cmd: 'sed -i -e ''/^    <gui/s/tls="false"/tls="true"/'' /usr/local/etc/syncthing/config.xml'
    warn: false
  notify: Syncthing restarted

- name: Syncthing password protected user
  ansible.builtin.lineinfile:
    path: /usr/local/etc/syncthing/config.xml
    insertafter: "^        <address>0.0.0.0:8384</address>"
    line: "        <user>admin</user>"
  notify: Syncthing restarted

- name: Syncthing password protected pass
  ansible.builtin.lineinfile:
    path: /usr/local/etc/syncthing/config.xml
    insertafter: "^        <address>0.0.0.0:8384</address>"
    line: "        <password>{{ syncthing_admin_pass }}</password>"
  notify: Syncthing restarted

- name: Syncthing disable fsWatcher
  shell:
    cmd: 'sed -i -e ''s/fsWatcherEnabled="true"/fsWatcherEnabled="false"/'' /usr/local/etc/syncthing/config.xml'
    warn: false
  notify: Syncthing restarted
